# Interface DefaultChangeUploadableMetadata

The default Metadata for a change (file/attachment) that is about to be uploaded.

interface DefaultChangeUploadableMetadata {
contentTypeId: "default";
customData?: Record<string, string | number | boolean | object>;
description: string;
}

##### Index

### Properties

contentTypeId
customData?
description

## Properties

### contentTypeId

contentTypeId: "default"

Type of metadata

### `Optional` customData

customData?: Record<string, string | number | boolean | object>

Custom data. Can be any JSON structure. Do not store large data structures as it will be stored in the database. It is possible to create BimChangeMetadataQuery queries for this data. *

#### Example

    // customData was set to '{ "photo": { "type": "360", "height": 1024, "width": 2048 } }' when change was uploaded.
    const changes = await api.getChanges(container, { query: "customData.photo.type=360" });

#### Remarks

It is intentionally not possible assign a array directly to customData. It is possible to assign arrays to a nested properties though.

### description

description: string

Description